Bug 1530218 - blueberry: blueberry requires both Python 2 and Python 3
Summary: blueberry: blueberry requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blueberry
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2018-01-02 09:45 UTC by Iryna Shcherbina
Modified: 2018-03-06 17:30 UTC (History)
2 users (show)

Fixed In Version: blueberry-1.1.20-6.fc27 blueberry-1.1.20-6.fc26 blueberry-1.1.20-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:19:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1533646 None CLOSED blueberry runs under both python2 and python3 and spawns two instances of rfkill event 2019-03-17 21:49:11 UTC

Internal Links: 1533646

Description Iryna Shcherbina 2018-01-02 09:45:24 UTC
The blueberry RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 27 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Fedora Update System 2018-02-15 21:49:51 UTC
blueberry-1.1.20-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-598aa5ea7f

Comment 2 Fedora Update System 2018-02-15 21:49:59 UTC
blueberry-1.1.20-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e0569e57f

Comment 3 Fedora Update System 2018-02-15 21:50:04 UTC
blueberry-1.1.20-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-12fef7d424

Comment 4 Fedora Update System 2018-02-16 15:42:16 UTC
blueberry-1.1.20-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-598aa5ea7f

Comment 5 Fedora Update System 2018-02-16 15:58:16 UTC
blueberry-1.1.20-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-12fef7d424

Comment 6 Fedora Update System 2018-02-16 16:28:02 UTC
blueberry-1.1.20-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5e0569e57f

Comment 7 Fedora End Of Life 2018-02-20 15:35:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 Fedora Update System 2018-03-06 17:19:30 UTC
blueberry-1.1.20-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-06 17:27:22 UTC
blueberry-1.1.20-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-03-06 17:30:48 UTC
blueberry-1.1.20-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.